<div class="app-detail-container">
  <div class="twelve-column-container inner-app-container margin-center-start">
    <ng-container *transloco="let t; read: 'app'">
      <div class="ten-column-container app-detail-header">
        <h1>{{app?.details?.name}}</h1>
      </div>
      <div
        class="ten-column-container img-comp-container"
        *ngIf="app?.media?.banner; else bannerFallback">
        <img-comparison-slider
          #compSlider
          class="full-width cursor-pointer complete-width">
          <img
            slot="first"
            [src]="app?.media?.banner?.[0]?.presigned_media_url"
            class="full-width banner-aspect-ratio complete-width"
            [alt]="app?.media?.banner?.[0]?.alt_text">
          <img
            slot="second"
            [src]="app?.media?.banner?.[1]?.presigned_media_url"
            class="full-width banner-aspect-ratio complete-width"
            [alt]="app?.media?.banner?.[1]?.alt_text">
        </img-comparison-slider>
      </div>
      <markdown class="description-container" [data]="app?.details?.description|translate"></markdown>
      <mat-divider class="divider-full-width"></mat-divider>
      <div class="tags-container">
        <app-tag-description
          class="tag-item"
          name="tissues"
          [tags]="app?.tags?.tissues"></app-tag-description>
        <app-tag-description
          class="tag-item"
          name="indications"
          [tags]="app?.tags?.indications"></app-tag-description>
        <div class="break-row"></div>
        <app-tag-description
          class="tag-item"
          name="stains"
          [tags]="app?.tags?.stains"></app-tag-description>
        <app-tag-description
          class="tag-item"
          name="analysis"
          [tags]="app?.tags?.analysis"></app-tag-description>
      </div>
      <mat-divider class="divider-full-width"></mat-divider>
      <div class="api-version-container">
        <span class="api-versions-spacing">
          <div class="api-versions-label">{{t('supported_api_versions')}}</div>
          <app-toggle-buttons
            [model]="apiVersionToggle"
            [selected]="selectedAppApiVersion"
            (selectionChanged)="apiVersionChange($event)">
          </app-toggle-buttons>
        </span>
      </div>
      <mat-divider class="divider-full-width"></mat-divider>
      <div class="vendor-container">
        {{t('developed_by')}} &nbsp;
        <a
          class="vendor-link"
          [routerLink]="'/'+PUBLIC_ORG_ROUTE+'/'+org?.organization_id">
          <div class="vendor-link-container">
            <span>{{org?.organization_name}}</span>
            <div class="logo-container">
              <img
              class="app-vendor-logo"
              [src]="org?.resized_logo_urls?.w400 ?? fallbackImage"
              alt="Vendor Logo">
            </div>
          </div>
        </a>
      </div>
      <mat-divider class="divider-full-width"></mat-divider>
      <div class="workflow-container">
        <h2>{{t('workflow')}}</h2>
        <ng-container *ngIf="app?.media?.workflow; else workflowEmpty">
          <app-portal-app-details-workflow [mediaObjects]="app?.media?.workflow"></app-portal-app-details-workflow>
        </ng-container>
      </div>
      <ng-template #bannerFallback>
        <img
          class="banner-fallback"
          [src]="fallbackImage"
          alt="fallback image">
      </ng-template>
      <ng-template #workflowEmpty>
        <p>{{t('workflow_empty')}}</p>
      </ng-template>
    </ng-container>
  </div>
</div>
